package com.perforce.search.model;

public class DetailedFileModelImpl implements DetailedFileModel {

    FilesModel filesModel;
    float score;
    String modifiedByUser;

    public DetailedFileModelImpl(FilesModel fm, float score,
	    String modifiedByUser) {
	this.filesModel = fm;
	this.score = score;
	this.modifiedByUser = (modifiedByUser == null) ? "?" : modifiedByUser;
    }

    @Override
    public FilesModel getFilesModel() {
	return filesModel;
    }

    @Override
    public float getScore() {
	return score;
    }

    @Override
    public String getModifiedByUser() {
	return modifiedByUser;
    }

}
